Create Sector
curl --request POST \
--url https://api.example.com/sectorsimport requests
url = "https://api.example.com/sectors"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/sectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Sectors
Create Sector
Creates a new sector.
POST
/
sectors
Create Sector
Endpoint
POST https://gateway.orkeia.ai/sectors
AuthenticationRequires header
authorization: <your_token>.
Request Body (JSON)
The service receives a wrapper with the property sector.
{
"sector": {
"name": "HR",
"description": "Human Resources Department"
}
}
Example (cURL)
curl -X POST "https://gateway.orkeia.ai/sectors" -H "authorization: <your_token>" -H "Content-Type: application/json" -d '{
"sector": {
"name": "HR",
"description": "Human Resources Department"
}
}'
Responses
Response - Success
response
{
"status": "OK",
"data": { "id": "SECTOR_123456" }
}
500 — Server Error
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
Was this page helpful?
⌘I
